<?php

/**
 * @file
 * Content plugin for Nice dashboard.
 */

class nice_dash_content {

  /**
   * Enabled method.
   */
  function is_enabled() {
    return TRUE;
  }

  /**
   * Widgets method.
   */
  function widgets() {
    return array(
      'content_add' => t('Add content'),
    );
  }

  /**
   * Add content widget.
   */
  function nice_dash_content_widget_content_add() {
    $item = menu_get_item('node/add');
    $content = system_admin_menu_block($item);
    $content = theme('node_add_list', $content);
    return array(
      'title' => t('Create content'),
      'description' => t('Select your content type'),
      'content' => $content,
    );
  }
}
